# Class TCEFTimerWorkScheduler

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTimerWorkScheduler

## Declaration

`type TCEFTimerWorkScheduler = class(TObject)`

## Description

This item has no description.

## Hierarchy

- TObject
- TCEFTimerWorkScheduler

## Overview

### Fields

| `FTimer: TTimer;`
| `FDepleteWorkCycles: cardinal;`
| `FDepleteWorkDelay: cardinal;`
| `FStopped: boolean;`
| `FIsActive: boolean;`
| `FReentrancyDetected: boolean;`
| `FOnAllowDoWork: TOnAllowEvent;`
| `FCompHandle: HWND;`

### Methods

| `function GetIsTimerPending: boolean;`
| `procedure Timer_OnTimer(Sender: TObject);`
| `procedure Initialize;`
| `procedure CreateTimer;`
| `procedure DestroyTimer;`
| `procedure KillTimer;`
| `procedure SetTimer(aInterval : integer);`
| `procedure DoWork;`
| `function PerformMessageLoopWork: boolean;`
| `procedure DoMessageLoopWork;`
| `procedure OnScheduleWork(delay_ms : integer);`
| `procedure DepleteWork;`
| `procedure WndProc(var aMessage: TMessage);`
| `procedure AllocateWindowHandle;`
| `procedure DeallocateWindowHandle;`
| `constructor Create;`
| `destructor Destroy; override;`
| `procedure StopScheduler;`
| `procedure ScheduleMessagePumpWork(const delay_ms : int64);`

### Properties

| `property DepleteWorkCycles : cardinal read FDepleteWorkCycles write FDepleteWorkCycles;`
| `property DepleteWorkDelay : cardinal read FDepleteWorkDelay write FDepleteWorkDelay;`
| `property IsTimerPending : boolean read GetIsTimerPending;`
| `property OnAllowDoWork : TOnAllowEvent read FOnAllowDoWork write FOnAllowDoWork;`

## Description

### Fields

| `FTimer: TTimer;`
This item has no description.

| `FDepleteWorkCycles: cardinal;`
This item has no description.

| `FDepleteWorkDelay: cardinal;`
This item has no description.

| `FStopped: boolean;`
This item has no description.

| `FIsActive: boolean;`
This item has no description.

| `FReentrancyDetected: boolean;`
This item has no description.

| `FOnAllowDoWork: TOnAllowEvent;`
This item has no description.

| `FCompHandle: HWND;`
This item has no description.

### Methods

| `function GetIsTimerPending: boolean;`
This item has no description.

| `procedure Timer_OnTimer(Sender: TObject);`
This item has no description.

| `procedure Initialize;`
This item has no description.

| `procedure CreateTimer;`
This item has no description.

| `procedure DestroyTimer;`
This item has no description.

| `procedure KillTimer;`
This item has no description.

| `procedure SetTimer(aInterval : integer);`
This item has no description.

| `procedure DoWork;`
This item has no description.

| `function PerformMessageLoopWork: boolean;`
This item has no description.

| `procedure DoMessageLoopWork;`
This item has no description.

| `procedure OnScheduleWork(delay_ms : integer);`
This item has no description.

| `procedure DepleteWork;`
This item has no description.

| `procedure WndProc(var aMessage: TMessage);`
This item has no description.

| `procedure AllocateWindowHandle;`
This item has no description.

| `procedure DeallocateWindowHandle;`
This item has no description.

| `constructor Create;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

| `procedure StopScheduler;`
This item has no description.

| `procedure ScheduleMessagePumpWork(const delay_ms : int64);`
This item has no description.

### Properties

| `property DepleteWorkCycles : cardinal read FDepleteWorkCycles write FDepleteWorkCycles;`
This item has no description.

| `property DepleteWorkDelay : cardinal read FDepleteWorkDelay write FDepleteWorkDelay;`
This item has no description.

| `property IsTimerPending : boolean read GetIsTimerPending;`
This item has no description.

| `property OnAllowDoWork : TOnAllowEvent read FOnAllowDoWork write FOnAllowDoWork;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.